#!/bin/csh -f

# This version contains all subsequent corrections!
# 3D States-Mode HN-Detected Processing.

xyz2pipe -in data/test%03d.fid -x -verb \
| nmrPipe  -fn SOL -fl 10    				\
| nmrPipe  -fn SP -off 0.5 -end 0.95 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF                                   \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 194  -p1 0.0  -di             \
| nmrPipe  -fn TP                                  \
| nmrPipe  -fn LP -fb                                  \
| nmrPipe  -fn SP -off 0.6 -end 1.0 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto                                 \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 90 -p1 0   -di		\
| nmrPipe  -fn REV                                   \
#| nmrPipe  -fn CS -ls 1.0ppm -sw			\
#| nmrPipe  -fn EXT -xn 5.0ppm   -sw                     \
| pipe2xyz -out ft/test%03d.ft2 -y -ov

xyz2pipe -in ft/test%03d.ft2 -z -verb               \
| nmrPipe  -fn LP  -fb                               \
| nmrPipe  -fn SP -off 0.6 -end 1.0 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto                                 \
| nmrPipe  -fn FT  -alt                                 \
| nmrPipe  -fn PS -p0 -180.4 -p1 0.0   -di            \
#| nmrPipe  -fn CS -ls 1.0ppm -sw			\
| nmrPipe  -fn CS -ls 1pts -sw			\
| pipe2xyz -out ftHN/test%03d.ft3 -z -ov

xyz2pipe -in ft/test%03d.ft2 -z -verb               \
| nmrPipe  -fn LP  -fb                               \
| nmrPipe  -fn SP -off 0.6 -end 1.0 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto                                 \
| nmrPipe  -fn FT  -alt                                 \
| nmrPipe  -fn PS -p0 -94.4 -p1 -180.0   -di            \
#| nmrPipe  -fn CS -ls 1.0ppm -sw			\
| nmrPipe  -fn CS -ls 1pts -sw			\
| pipe2xyz -out ftHA/test%03d.ft3 -z -ov


echo 'ft done'
echo 'now spliting HN and HA regions'
echo `date`
echo '**************************************************'
echo ''

#update following section to match your size

xyz2pipe -in ftHN/test%03d.ft3 -x			\
| nmrPipe  -fn EXT -x1 212pts -xn 805pts                        \
#x1 and xn define the HN region
| nmrPipe  -fn ZF -size 1189                                \
# zero fill to the final size: HN and HA regions
| pipe2xyz -out ftHNcut/test%03d.ft3 -x -ov

xyz2pipe -in ftHA/test%03d.ft3 -x			\
| nmrPipe  -fn EXT -x1 806pts -xn 1400pts                       \
#HA region
| nmrPipe -fn REV\
| nmrPipe  -fn ZF -size 1189                               \
#final size
| nmrPipe -fn REV\
| pipe2xyz -out ftHCcut/test%03d.ft3 -x -ov

